net.sourceforge.pmd.lang.jsp.ast

## Class OpenTagRegister

- java.lang.Object
- - net.sourceforge.pmd.lang.jsp.ast.OpenTagRegister

    public class OpenTagRegister
    extends Object

Utility class to keep track of unclosed tags. The mechanism is rather simple. If a end tag (</x>) is encountered, it will iterate through the open tag list and it will mark the first tag named 'x' as closed. If other tags have been opened after 'x' ( <x> <y> <z> </x>) it will mark y and z as unclosed.

Author:
  Victor Bucutea

### Constructor Summary

Constructors
Constructor and Description
`OpenTagRegister()`

### Method Summary

Methods
`void` `closeTag(ASTElement z)`
`boolean` `closeTag(String closingTagName)`
`void` `openTag(ASTElement elm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenTagRegister

    public OpenTagRegister()

### Method Detail

#### openTag

    public void openTag(ASTElement elm)

#### closeTag

    public boolean closeTag(String closingTagName)

Parameters:
  `closingTagName` -
Returns:
  true if a matching tag was found. False if no tag with this name was ever opened ( or registered )

#### closeTag

    public void closeTag(ASTElement z)